diff -Nur examples.orig/decoder/tode.cc examples/decoder/tode.cc
--- examples.orig/decoder/tode.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/decoder/tode.cc	2004-10-29 12:03:34.000000000 +0200
@@ -1,13 +1,13 @@
-#include "LinearLexicon.h"
-#include "LanguageModel.h"
-#include "DecoderBatchTest.h"
-#include "BeamSearchDecoder.h"
-#include "Vocabulary.h"
-#include "DiskXFile.h"
-#include "CmdLine.h"
-#include "PhoneInfo.h"
-#include "PhoneModels.h"
-#include "LexiconInfo.h"
+#include <torch/LinearLexicon.h>
+#include <torch/LanguageModel.h>
+#include <torch/DecoderBatchTest.h>
+#include <torch/BeamSearchDecoder.h>
+#include <torch/Vocabulary.h>
+#include <torch/DiskXFile.h>
+#include <torch/CmdLine.h>
+#include <torch/PhoneInfo.h>
+#include <torch/PhoneModels.h>
+#include <torch/LexiconInfo.h>
 
 using namespace Torch ;
 
diff -Nur examples.orig/discriminatives/boosting.cc examples/discriminatives/boosting.cc
--- examples.orig/discriminatives/boosting.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/discriminatives/boosting.cc	2004-10-29 12:17:47.000000000 +0200
@@ -3,23 +3,23 @@
 \n\
 This program will boost a MLP (for classification) with log-softmax outputs.\n";
 
-#include "MatDataSet.h"
-#include "ClassFormatDataSet.h"
-#include "ClassNLLCriterion.h"
-#include "OneHotClassFormat.h"
-#include "ClassMeasurer.h"
-
-#include "StochasticGradient.h"
-#include "KFold.h"
-
-#include "MeanVarNorm.h"
-#include "DiskXFile.h"
-#include "CmdLine.h"
-#include "Random.h"
-
-#include "MLP.h"
-#include "WeightedSumMachine.h"
-#include "Boosting.h"
+#include <torch/MatDataSet.h>
+#include <torch/ClassFormatDataSet.h>
+#include <torch/ClassNLLCriterion.h>
+#include <torch/OneHotClassFormat.h>
+#include <torch/ClassMeasurer.h>
+
+#include <torch/StochasticGradient.h>
+#include <torch/KFold.h>
+
+#include <torch/MeanVarNorm.h>
+#include <torch/DiskXFile.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
+
+#include <torch/MLP.h>
+#include <torch/WeightedSumMachine.h>
+#include <torch/Boosting.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/discriminatives/knn.cc examples/discriminatives/knn.cc
--- examples.orig/discriminatives/knn.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/discriminatives/knn.cc	2004-10-29 12:18:00.000000000 +0200
@@ -3,21 +3,21 @@
 \n\
 This program will train a KNN.\n";
 
-#include "MatDataSet.h"
-#include "ClassFormatDataSet.h"
-#include "ClassNLLCriterion.h"
-#include "MSECriterion.h"
-#include "OneHotClassFormat.h"
-#include "ClassMeasurer.h"
-#include "MSEMeasurer.h"
-
-#include "NPTrainer.h"
-#include "KFold.h"
-#include "KNN.h"
-
-#include "MeanVarNorm.h"
-#include "CmdLine.h"
-#include "Random.h"
+#include <torch/MatDataSet.h>
+#include <torch/ClassFormatDataSet.h>
+#include <torch/ClassNLLCriterion.h>
+#include <torch/MSECriterion.h>
+#include <torch/OneHotClassFormat.h>
+#include <torch/ClassMeasurer.h>
+#include <torch/MSEMeasurer.h>
+
+#include <torch/NPTrainer.h>
+#include <torch/KFold.h>
+#include <torch/KNN.h>
+
+#include <torch/MeanVarNorm.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/discriminatives/mlp.cc examples/discriminatives/mlp.cc
--- examples.orig/discriminatives/mlp.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/discriminatives/mlp.cc	2004-10-29 12:18:05.000000000 +0200
@@ -6,26 +6,26 @@
 For classification, the criterion will be a cross-entropy criterion.\n\
 For regression, it uses a mean-squared error criterion.\n";
 
-#include "MatDataSet.h"
-#include "ClassFormatDataSet.h"
-#include "ClassNLLCriterion.h"
-#include "MSECriterion.h"
-#include "OneHotClassFormat.h"
-#include "ClassMeasurer.h"
-#include "MSEMeasurer.h"
-
-#include "StochasticGradient.h"
-#include "KFold.h"
-
-#include "ConnectedMachine.h"
-#include "Linear.h"
-#include "Tanh.h"
-#include "LogSoftMax.h"
-
-#include "MeanVarNorm.h"
-#include "DiskXFile.h"
-#include "CmdLine.h"
-#include "Random.h"
+#include <torch/MatDataSet.h>
+#include <torch/ClassFormatDataSet.h>
+#include <torch/ClassNLLCriterion.h>
+#include <torch/MSECriterion.h>
+#include <torch/OneHotClassFormat.h>
+#include <torch/ClassMeasurer.h>
+#include <torch/MSEMeasurer.h>
+
+#include <torch/StochasticGradient.h>
+#include <torch/KFold.h>
+
+#include <torch/ConnectedMachine.h>
+#include <torch/Linear.h>
+#include <torch/Tanh.h>
+#include <torch/LogSoftMax.h>
+
+#include <torch/MeanVarNorm.h>
+#include <torch/DiskXFile.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/discriminatives/svm.cc examples/discriminatives/svm.cc
--- examples.orig/discriminatives/svm.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/discriminatives/svm.cc	2004-10-29 12:18:22.000000000 +0200
@@ -7,19 +7,19 @@
 except if you use the '-class' option which trains one class\n\
 against the others.\n";
 
-#include "MatDataSet.h"
-#include "TwoClassFormat.h"
-#include "ClassMeasurer.h"
-#include "MSEMeasurer.h"
-#include "QCTrainer.h"
-#include "CmdLine.h"
-#include "Random.h"
-#include "SVMRegression.h"
-#include "SVMClassification.h"
-#include "KFold.h"
-#include "DiskXFile.h"
-#include "ClassFormatDataSet.h"
-#include "MeanVarNorm.h"
+#include <torch/MatDataSet.h>
+#include <torch/TwoClassFormat.h>
+#include <torch/ClassMeasurer.h>
+#include <torch/MSEMeasurer.h>
+#include <torch/QCTrainer.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
+#include <torch/SVMRegression.h>
+#include <torch/SVMClassification.h>
+#include <torch/KFold.h>
+#include <torch/DiskXFile.h>
+#include <torch/ClassFormatDataSet.h>
+#include <torch/MeanVarNorm.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/discriminatives/svm_multi.cc examples/discriminatives/svm_multi.cc
--- examples.orig/discriminatives/svm_multi.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/discriminatives/svm_multi.cc	2004-10-29 12:18:28.000000000 +0200
@@ -5,16 +5,16 @@
 more than two classes, using a one-against-all approach.\n\
 It uses a gaussian kernel (default) or a polynomial kernel.\n";
 
-#include "MatDataSet.h"
-#include "OneHotClassFormat.h"
-#include "ClassMeasurer.h"
-#include "MSEMeasurer.h"
-#include "QCTrainer.h"
-#include "CmdLine.h"
-#include "Random.h"
-#include "SVMClassification.h"
-#include "DiskXFile.h"
-#include "ClassFormatDataSet.h"
+#include <torch/MatDataSet.h>
+#include <torch/OneHotClassFormat.h>
+#include <torch/ClassMeasurer.h>
+#include <torch/MSEMeasurer.h>
+#include <torch/QCTrainer.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
+#include <torch/SVMClassification.h>
+#include <torch/DiskXFile.h>
+#include <torch/ClassFormatDataSet.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/generatives/gmm.cc examples/generatives/gmm.cc
--- examples.orig/generatives/gmm.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/generatives/gmm.cc	2004-10-29 12:19:06.000000000 +0200
@@ -3,17 +3,17 @@
 \n\
 This program will maximize the likelihood of data given a Diagonal GMM \n";
 
-#include "EMTrainer.h"
-#include "MeanVarNorm.h"
-#include "DiagonalGMM.h"
-#include "KFold.h"
-#include "KMeans.h"
-#include "DiskMatDataSet.h"
-#include "MatDataSet.h"
-#include "CmdLine.h"
-#include "NLLMeasurer.h"
-#include "Random.h"
-#include "FileListCmdOption.h"
+#include <torch/EMTrainer.h>
+#include <torch/MeanVarNorm.h>
+#include <torch/DiagonalGMM.h>
+#include <torch/KFold.h>
+#include <torch/KMeans.h>
+#include <torch/DiskMatDataSet.h>
+#include <torch/MatDataSet.h>
+#include <torch/CmdLine.h>
+#include <torch/NLLMeasurer.h>
+#include <torch/Random.h>
+#include <torch/FileListCmdOption.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/generatives/hmm.cc examples/generatives/hmm.cc
--- examples.orig/generatives/hmm.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/generatives/hmm.cc	2004-10-29 12:19:11.000000000 +0200
@@ -3,16 +3,16 @@
 \n\
 This program will maximize the likelihood of data given a Diagonal GMM \n";
 
-#include "EMTrainer.h"
-#include "HMM.h"
-#include "KFold.h"
-#include "KMeans.h"
-#include "HTKDataSet.h"
-#include "MatDataSet.h"
-#include "CmdLine.h"
-#include "NLLMeasurer.h"
-#include "Random.h"
-#include "FileListCmdOption.h"
+#include <torch/EMTrainer.h>
+#include <torch/HMM.h>
+#include <torch/KFold.h>
+#include <torch/KMeans.h>
+#include <torch/HTKDataSet.h>
+#include <torch/MatDataSet.h>
+#include <torch/CmdLine.h>
+#include <torch/NLLMeasurer.h>
+#include <torch/Random.h>
+#include <torch/FileListCmdOption.h>
 #include <unistd.h>
 
 using namespace Torch;
diff -Nur examples.orig/generatives/kmeans.cc examples/generatives/kmeans.cc
--- examples.orig/generatives/kmeans.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/generatives/kmeans.cc	2004-10-29 12:19:16.000000000 +0200
@@ -3,18 +3,18 @@
 \n\
 This program will maximize the kmeans criterion of a dataset\n";
 
-#include "EMTrainer.h"
-#include "StochasticGradient.h"
-#include "MeanVarNorm.h"
-#include "KFold.h"
-#include "KMeans.h"
-#include "DiskMatDataSet.h"
-#include "MatDataSet.h"
-#include "CmdLine.h"
-#include "NLLMeasurer.h"
-#include "NLLCriterion.h"
-#include "Random.h"
-#include "FileListCmdOption.h"
+#include <torch/EMTrainer.h>
+#include <torch/StochasticGradient.h>
+#include <torch/MeanVarNorm.h>
+#include <torch/KFold.h>
+#include <torch/KMeans.h>
+#include <torch/DiskMatDataSet.h>
+#include <torch/MatDataSet.h>
+#include <torch/CmdLine.h>
+#include <torch/NLLMeasurer.h>
+#include <torch/NLLCriterion.h>
+#include <torch/Random.h>
+#include <torch/FileListCmdOption.h>
 #include <unistd.h>
 
 using namespace Torch;
diff -Nur examples.orig/speech/speech_hmm_init.cc examples/speech/speech_hmm_init.cc
--- examples.orig/speech/speech_hmm_init.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/speech/speech_hmm_init.cc	2004-10-29 12:19:46.000000000 +0200
@@ -3,19 +3,19 @@
 \n\
 This program is used to do speech recognition \n";
 
-#include "LexiconInfo.h"
-#include "EMTrainer.h"
-#include "HMM.h"
-#include "KMeans.h"
-#include "MatDataSet.h"
-#include "CmdLine.h"
-#include "NLLMeasurer.h"
-#include "Random.h"
-#include "DiskHTKDataSet.h"
-#include "HTKDataSet.h"
-#include "SpeechHMM.h"
-#include "string_utils.h"
-#include "FileListCmdOption.h"
+#include <torch/LexiconInfo.h>
+#include <torch/EMTrainer.h>
+#include <torch/HMM.h>
+#include <torch/KMeans.h>
+#include <torch/MatDataSet.h>
+#include <torch/CmdLine.h>
+#include <torch/NLLMeasurer.h>
+#include <torch/Random.h>
+#include <torch/DiskHTKDataSet.h>
+#include <torch/HTKDataSet.h>
+#include <torch/SpeechHMM.h>
+#include <torch/string_utils.h>
+#include <torch/FileListCmdOption.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/speech/speech_hmm_simple_decode.cc examples/speech/speech_hmm_simple_decode.cc
--- examples.orig/speech/speech_hmm_simple_decode.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/speech/speech_hmm_simple_decode.cc	2004-10-29 12:20:04.000000000 +0200
@@ -3,20 +3,20 @@
   \n\
   This program is used to do decode simple speech recognition \n";
 
-#include "LexiconInfo.h"
-#include "EMTrainer.h"
-#include "HMM.h"
-#include "CmdLine.h"
-#include "Random.h"
-#include "DiskHTKDataSet.h"
-#include "HTKDataSet.h"
-#include "SimpleDecoderSpeechHMM.h"
-#include "WordSegMeasurer.h"
-#include "FrameSegMeasurer.h"
-#include "Grammar.h"
-#include "DiagonalGMM.h"
-#include "string_utils.h"
-#include "FileListCmdOption.h"
+#include <torch/LexiconInfo.h>
+#include <torch/EMTrainer.h>
+#include <torch/HMM.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
+#include <torch/DiskHTKDataSet.h>
+#include <torch/HTKDataSet.h>
+#include <torch/SimpleDecoderSpeechHMM.h>
+#include <torch/WordSegMeasurer.h>
+#include <torch/FrameSegMeasurer.h>
+#include <torch/Grammar.h>
+#include <torch/DiagonalGMM.h>
+#include <torch/string_utils.h>
+#include <torch/FileListCmdOption.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/speech/speech_hmm_tode_decode.cc examples/speech/speech_hmm_tode_decode.cc
--- examples.orig/speech/speech_hmm_tode_decode.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/speech/speech_hmm_tode_decode.cc	2004-10-29 12:20:09.000000000 +0200
@@ -3,22 +3,22 @@
   \n\
   This program is used to do decode simple speech recognition \n";
 
-#include "LexiconInfo.h"
-#include "EMTrainer.h"
-#include "HMM.h"
-#include "CmdLine.h"
-#include "Random.h"
-#include "DiskHTKDataSet.h"
-#include "HTKDataSet.h"
-#include "PhoneModels.h"
-#include "LanguageModel.h"
-#include "LinearLexicon.h"
-#include "BeamSearchDecoder.h"
-#include "DiagonalGMM.h"
-#include "string_utils.h"
-#include "EditDistanceMeasurer.h"
-#include "WordSegMeasurer.h"
-#include "FileListCmdOption.h"
+#include <torch/LexiconInfo.h>
+#include <torch/EMTrainer.h>
+#include <torch/HMM.h>
+#include <torch/CmdLine.h>
+#include <torch/Random.h>
+#include <torch/DiskHTKDataSet.h>
+#include <torch/HTKDataSet.h>
+#include <torch/PhoneModels.h>
+#include <torch/LanguageModel.h>
+#include <torch/LinearLexicon.h>
+#include <torch/BeamSearchDecoder.h>
+#include <torch/DiagonalGMM.h>
+#include <torch/string_utils.h>
+#include <torch/EditDistanceMeasurer.h>
+#include <torch/WordSegMeasurer.h>
+#include <torch/FileListCmdOption.h>
 
 using namespace Torch;
 
diff -Nur examples.orig/speech/speech_hmm_train.cc examples/speech/speech_hmm_train.cc
--- examples.orig/speech/speech_hmm_train.cc	2004-08-11 18:34:39.000000000 +0200
+++ examples/speech/speech_hmm_train.cc	2004-10-29 12:20:14.000000000 +0200
@@ -3,19 +3,19 @@
 \n\
 This program is used to do speech recognition \n";
 
-#include "LexiconInfo.h"
-#include "EMTrainer.h"
-#include "HMM.h"
-#include "DiagonalGMM.h"
-#include "MatDataSet.h"
-#include "CmdLine.h"
-#include "NLLMeasurer.h"
-#include "Random.h"
-#include "DiskHTKDataSet.h"
-#include "HTKDataSet.h"
-#include "SpeechHMM.h"
-#include "FileListCmdOption.h"
-#include "string_utils.h"
+#include <torch/LexiconInfo.h>
+#include <torch/EMTrainer.h>
+#include <torch/HMM.h>
+#include <torch/DiagonalGMM.h>
+#include <torch/MatDataSet.h>
+#include <torch/CmdLine.h>
+#include <torch/NLLMeasurer.h>
+#include <torch/Random.h>
+#include <torch/DiskHTKDataSet.h>
+#include <torch/HTKDataSet.h>
+#include <torch/SpeechHMM.h>
+#include <torch/FileListCmdOption.h>
+#include <torch/string_utils.h>
 
 using namespace Torch;
 
